fishermen = [4 5 9 10 12 14 18 22]';
fishcaught = [7 8 9 12 15 20 26 35]';
V = vandermonde(fishermen,1);
b = V'*fishcaught;
a = (V'*V)\b;

line = @(f) a(2)*f + a(1);
plot(fishermen,fishcaught,'xb','LineWidth',2);
axis([0 25 0 35]);
xlabel('Number of fishermen');
ylabel('Number of fish caught');
hold on;

fprintf('The regression line is %fx + %f\n',a(2),a(1));
fprintf('The estimate for 16 fishermen = %d\n',round(line(16)));
f = [4 23];
plot(f,[line(f(1)) line(f(2))],'k','LineWidth',2);

% quadratic least-squares
V = vandermonde(fishermen,2);
b = V'*fishcaught;
a = (V'*V)\b;

parabola = @(f) a(3)*f.^2 + a(2)*f + a(1);
fprintf('\nThe quadratic polynomial is %fx^2 + %fx + %f\n',a(3),a(2),a(1));
fprintf('The estimate for 16 fishermen = %d\n',round(parabola(16)));
f = 4:.1:23;
plot(f,parabola(f),'r','LineWidth',2);