currformat = get(0,'Format');
format long;

L = [0 6 3 2;0.60 0 0 0;0 0.45 0 0;0 0 0.25 0];

x0 = ones(4,1);
[lambda, x, iter] = largeeig(L,x0,1.0e-10,100);
fprintf('For a maximum of 100 iterations, iter = %d\n',iter);
fprintf('lambda = %f\n',lambda);
disp('x =');
disp(x);

[lambda, x, iter] = largeeig(L,x0,1.0e-10,300);
fprintf('For a maximum of 300 iterations, iter = %d\n',iter);
fprintf('lambda = %f\n',lambda);
disp('x =');
disp(x);

E = eig(L);
E = sort(abs(E),'descend');
fprintf('The ratio lambda2/lambda1 = %g\n',abs(E(2))/abs(E(1)));
disp('----------------------------------');

A = [10.995 -1.6348 1.2323 3.055;
     2.2256 5.4029 1.3355 5.4342;
     1.5794 1.1108 2.2963 -0.46759;
     -3.7347 -2.447 -1.3122 -2.6939];
E = eig(A);
disp('The eigenvalues of A are');
disp(E);
E = sort(abs(E),'descend');
fprintf('The ratio lambda2/lambda1 = %.8f\n',E(2)/E(1));
x0 = ones(4,1);
[lambda, x, iter] = largeeig(A,x0,1.0e-12,27);
fprintf('After 27 iterations, the largest eigenvalue of A is %.6f\n',...
        lambda);

set(0,'Format',currformat);
