f = @(x,y) 56400*(1-10*x + 15*x.^2).*(1 - y).^2.*y.^4 +...
           18800*x.^2.*(6 - 20*x + 15*x.^2).*y.^2.*(6 - 20*y + 15*y.^2) +...
           56400*(1 - x).^2.*x.^4.*(1 - 10*y + 15*y.^2);

solution = @(x,y) 2350*x.^4.*(x-1).^2.*y.^4.*(y - 1).^2;

n = 150;
tol = 1.0e-10;
maxiter = 200;
[x, y, u, residual, iter] = biharmonic(n,f,tol,maxiter);
% some approximate values are very small negative numbers.
% zlim causes only the z values from 0 to 1.33 to show.
zlim([0 1.33]);

figure(2);
[X,Y] = meshgrid(0:1/150:1,0:1/150:1);
Z = solution(X,Y);
surf(X,Y,Z);
title('2350x^{4}(x-1)^{2}y^{4}(y-1)^{2}');
