load 'bfwb782.mat';
load 'Si.mat';
load 'lshp2233';

tol = 1.0e-6;
m = 50;
maxiter = 100;

b = rand(782,1);
x0 = zeros(782,1);
tic;[~, r, iter] = minresb(bfwb782,b,x0,m,tol,maxiter);toc;
fprintf('With bfwb782, minresb residual = %g and iter = %d\n\n',r,iter);

b = rand(769,1);
x0 = zeros(769,1);
tic;[~, r, iter] = minresb(Si,b,x0,m,tol,maxiter);toc;
fprintf('With Si, minresb residual = %g and iter = %d\n\n',r,iter);

b = rand(2233,1);
x0 = zeros(2233,1);
m = 1000;
tic;[~, r, iter] = minresb(lshp2233,b,x0,m,tol,maxiter);toc;
fprintf('With lshp2233, minresb residual = %g and iter = %d\n\n',r,iter);

m = 50;
tic;[~, r, iter] = mpregmres(lshp2233,b,x0,m,tol,maxiter);toc;
fprintf('With lshp2233, residual = %g and iter = %d\n\n',r,iter);
