load 'CGDES.mat';

spy(CGDES);
fprintf('The condition number of CGDES is %.1f\n',cond(full(CGDES)));

b = rand(300,1);
x0 = ones(300,1);

numiter = 5:50;
n = length(numiter);
r_sdescent = zeros(n,1);
r_cg = zeros(n,1);

for i = 1:n
   [~, r_sdescent(i)] = steepestDescent(CGDES,b,x0,1.0e-14,numiter(i));
   [~, r_cg(i)] = cg(CGDES,b,x0,1.0e-14,numiter(i));
end

figure(2);
semilogy(numiter,r_sdescent,':k','LineWidth',2);
hold on;
semilogy(numiter,r_cg,'k','LineWidth',2);
xlabel('Number of iterations');
ylabel('Residual norm');
legend('Steepest descent','CG');
title('CG vs. steepest descent');
