load 'DK01R.mat';
load 'b_DK01R.mat';
load 'x_DK01R.mat';

fprintf('The approximate condition number of DK01R is %.2e\n',...
        condest(DK01R));
fprintf('norm(b_DK01R-DK01R*x_DK01R) = %g\n\n',norm(b_DK01R-DK01R*x_DK01R));

m = 300;
tol = 1.0e-6;
x0 = zeros(903,1);
maxiter = 20;
reorthog = 0;

start_gmresb = tic;
[x_gmresb, r_gmresb, iter_gmresb] = gmresb(DK01R,b_DK01R,x0,m,tol,maxiter,reorthog);
stop_gmresb = toc(start_gmresb);
fprintf('Time for gmresb = %.3f seconds.\n',toc(start_gmresb));
fprintf('residual = %.2e, iter = %d\n',r_gmresb,iter_gmresb);
fprintf('norm(x_gmresb-x_DK01R) = %g\n',norm(x_gmresb-x_DK01R));

disp('--------------------------------');

start_mpregmres = tic;
[x_mpregmres, r_mpregmres, iter_mpregmres] = mpregmres(DK01R,b_DK01R,x0,m,tol,maxiter,reorthog);
stop_mpregmres = toc(start_mpregmres);
fprintf('Time for mpregmres = %.3f seconds.\n',toc(start_mpregmres));
fprintf('residual = %.2e, iter = %d\n',r_mpregmres,iter_mpregmres);
fprintf('norm(x_mpregmres-x_DK01R) = %g\n',norm(x_mpregmres-x_DK01R));
