load 'lshp2233';
load 'ORSIIR_1.mat';

x0 = rand(2233,1);
nev = 6;
m = 50;
tol = 1.0e-6;
maxiter = 100;
reorthog = 1;
[V,D] = eigsbexplicit(lshp2233, x0, nev, m, tol, maxiter, reorthog);
disp('The eigenvalues computed for lshp2233 are');
disp(diag(D));
avg = residchk(lshp2233,V,D);
fprintf('\nThe average residual = %.2e\n',avg);
fprintf('norm(V''*lshp2233*V-D) = %g\n',norm(V'*lshp2233*V-D));

disp('-----------------------');

x0 = rand(1030,1);
nev = 6;
m = 20;
[V,D] = eigsbexplicit(ORSIIR_1, x0, nev, m, tol, maxiter, reorthog);
disp('The eigenvalues computed for ORSIIR_1 are');
disp(diag(D));
avg = residchk(ORSIIR_1,V,D);
fprintf('\nThe average residual = %.2e\n',avg);
fprintf('norm(V''*lORSIIR_1*V-D) = %g\n',norm(V'*ORSIIR_1*V-D));
