load 'rotor2.mat';
load 'qh882.mat';
load 'dw256A.mat';
load 'TOLS1090.mat';

MATRIX{1} = rotor2;
MATRIX{2} = qh882;
MATRIX{3} = dw256A;
MATRIX{4} = TOLS1090;

MATNAME{1} = 'rotor2';
MATNAME{2} = 'qh882';
MATNAME{3} = 'dw256A';
MATNAME{4} = 'TOLS1090';

tol =  1.0e-6;
maxiter = 100;
nev = 6;
m = [35 40 35 16];

for i = 1:4
   [V,D] = eigsb(MATRIX{i}, nev, m(i), tol, maxiter);
   avg = residchk(MATRIX{i},V,D,true);
   fprintf('The average residual for %s using m = %d is %.2e\n',...
           MATNAME{i},m(i),avg);
end
